# Deprecated API

## Contents

- Interfaces
- Classes
- Methods
- Constructors

Interfaces
org.eclipse.rap.rwt.client.service.JavaScriptLoader: Use `ClientFileLoader` instead.

Classes
org.eclipse.nebula.widgets.richtext.toolbar.ToolbarConfiguration: Use the more general `RichTextEditorConfiguration`
org.eclipse.rap.rwt.widgets.BrowserUtil: Use the methods on `Browser` instead
org.eclipse.rap.rwt.widgets.DialogUtil: Use the methods on `Dialog` instead
org.eclipse.rap.rwt.widgets.ExternalBrowser: Use `UrlLauncher` instead

Methods
org.eclipse.rap.rwt.RWT.NLS.getISO8859_1Encoded​(String, Class<T>): use `get(String bundleName, Class<T> clazz)` instead.
org.eclipse.rap.rwt.RWT.NLS.getUTF8Encoded​(String, Class<T>): use `get(String bundleName, Class<T> clazz)` instead.
org.eclipse.rap.rwt.widgets.BrowserUtil.evaluate​(Browser, String, BrowserCallback): Use `Browser.evaluate( BrowserCallback )` instead
org.eclipse.rap.rwt.widgets.DialogUtil.open​(Dialog, DialogCallback): Use `Dialog.open( DialogCallback )` instead
org.eclipse.rap.rwt.widgets.ExternalBrowser.close​(String)
org.eclipse.rap.rwt.widgets.ExternalBrowser.open​(String, String, int): Use `UrlLauncher.openURL(String)` instead

Constructors
org.eclipse.nebula.widgets.richtext.RichTextEditor​(Composite, ToolbarConfiguration): use constructors that take a `RichTextEditorConfiguration`